Name: compiz-bcop
Version: 0.7.6      
Release: 1%{?dist}
Summary: Compiz option code generator       

Group: Development/Libraries
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0:  http://releases.compiz-fusion.org/0.6.0/%{name}-%{version}.tar.bz2     
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# compiz is not available on these arches due to missing libdrm
ExcludeArch: s390 s390x ppc64
BuildArch: noarch

BuildRequires: libxslt-devel
Requires: pkgconfig 
Requires: util-linux

%description
BCOP is a code generator that provides an easy way to handle
plugin options by generating parts of the plugin code directly
from the xml metadata file.
It is used for most of the Compiz Fusion plugins


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/bcop
%{_datadir}/bcop/
%{_datadir}/pkgconfig/bcop.pc
%doc COPYING NEWS


%changelog
* Wed Jun 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Thu Aug 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-2
- Add missing Requires

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build
